Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.master.search.potdup
Class PotentialDuplicateSearchObject

    java.lang.Object
      SearchOptions
          com.stc.eindex.master.search.potdup.PotentialDuplicateSearchObject

All Implemented Interfaces:
  java.io.Serializable

public class PotentialDuplicateSearchObject
extends SearchOptions
implements java.io.Serializable

The PotentialDuplicateSearchObject class is an object representing the search criteria passed to lookupPotentialDuplicate when performing a search for potential duplicates. Use the methods in this class to populate or retrieve the fields in the search object, and to define the fields in the potential duplicate search results list.

Constructor Summary
`PotentialDuplicateSearchObject()` Creates a new instance of the PotentialDuplicateSearchObject class.

Method Summary
`java.sql.Timestamp` | `getCreateEndDate()` Retrieves the value of the endDate field to be used in a potential duplicate search.
`java.sql.Timestamp` | `getCreateStartDate()` Retrieves the value of the startDate field to be used in a potential duplicate search.
`java.lang.String` | `getCreateUser()` Retrieves the value of the createUser field (the user ID of the user who created the potential duplicate records) to be used in a potential duplicate search.
`java.lang.String[]` | `getEUIDs()` Retrieves a string array of EUIDs to use as criteria for a potential duplicate search.
`EPathArrayList` | `getFieldsToRetrieve()` Retrieves an array of ePaths to the fields to be retrieved from the results of a potential duplicate search.
`java.lang.String` | `getLID()` Retrieves the value of the lid field to be used in a potential duplicate search.
`java.sql.Timestamp` | `getResolvedEndDate()` Retrieves the value of the resolvedEndDate field to be used in a potential duplicate search.
`java.sql.Timestamp` | `getResolvedStartDate()` Retrieves the value of the resolvedStartDate field to be used in a potential duplicate search.
`java.lang.String` | `getResolvedUser()` Retrieves the value of the resolvedUser field (the user ID of the user who resolved the potential duplicates) to be used in a potential duplicate search.
`java.lang.String` | `getStatus()` Retrieves the value of the status field to be used in a potential duplicate search.
`java.lang.String` | `getSystemCode()` Retrieves the value of the systemCode field to be used in a potential duplicate search.
`java.lang.String` | `getType()` Retrieves the value of the type field to be used in a potential duplicate search.
`void` | `setCreateEndDate(java.sql.Timestamp endDate)` Sets the ending date for an instance of PotentialDuplicateSearchObject.
`void` | `setCreateStartDate(java.sql.Timestamp startDate)` Sets the starting date for an instance of PotentialDuplicateSearchObject.
`void` | `setCreateUser(java.lang.String systemUser)` Sets the create user ID for an instance of PotentialDuplicateSearchObject.
`void` | `setEUID(java.lang.String euid)` Sets the enterprise-wide identifier (EUID) for an instance of PotentialDuplicateSearchObject.
`void` | `setEUIDs(java.lang.String[] euids)` Sets an array of enterprise-wide identifiers (EUIDs) for an instance of PotentialDuplicateSearchObject.
`void` | `setFieldsToRetrieve(EPathArrayList fieldsToRetrieve)` Sets the fields to be retrieved from the resulting records of a potential duplicate search.
`void` | `setLID(java.lang.String lid)` Sets the local ID for an instance of PotentialDuplicateSearchObject.
`void` | `setResolvedEndDate(java.sql.Timestamp endDate)` Sets the resolved end date for an instance of PotentialDuplicateSearchObject.
`void` | `setResolvedStartDate(java.sql.Timestamp startDate)` Sets the resolved start date for an instance of PotentialDuplicateSearchObject.
`void` | `setResolvedUser(java.lang.String systemUser)` Sets the resolved user ID for an instance of PotentialDuplicateSearchObject.
`void` | `setStatus(java.lang.String status)` Sets the status for an instance of PotentialDuplicateSearchObject.
`void` | `setSystemCode(java.lang.String systemCode)` Sets the system code for an instance of PotentialDuplicateSearchObject.
`void` | `setType(java.lang.String type)` Sets the type for an instance of PotentialDuplicateSearchObject.
`java.lang.String` | `toString()` Retrieves a string representation of the fields in the PotentialDuplicateSearchObject object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PotentialDuplicateSearchObject

    public PotentialDuplicateSearchObject()

  Creates a new instance of the PotentialDuplicateSearchObject class.

  Parameters:
    None.

Method Detail

### getCreateEndDate

    public java.sql.Timestamp getCreateEndDate()

  Retrieves the value of the endDate field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `java.sql.Timestamp` - The end date for the potential duplicate search.
  Throws:
    None.

### getCreateStartDate

    public java.sql.Timestamp getCreateStartDate()

  Retrieves the value of the startDate field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `java.sql.Timestamp` - The starting date for the potential duplicate search.
  Throws:
    None.

### getCreateUser

    public java.lang.String getCreateUser()

  Retrieves the value of the createUser field (the user ID of the user who created the potential duplicate records) to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - A user logon ID.
  Throws:
    None.

### getEUIDs

    public java.lang.String[] getEUIDs()

  Retrieves a string array of EUIDs to use as criteria for a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String[]` - A string array containing EUIDs.
  Throws:
    None.

### getFieldsToRetrieve

    public EPathArrayList getFieldsToRetrieve()

  Retrieves an array of ePaths to the fields to be retrieved from the results of a potential duplicate search.

  Parameters:
    None.

  Returns:
    `EPathArrayList` - An array containing the ePaths to the fields to retrieve.
  Throws:
    None.

### getLID

    public java.lang.String getLID()

  Retrieves the value of the lid field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - The value of the local ID field.
  Throws:
    None.

### getResolvedEndDate

    public java.sql.Timestamp getResolvedEndDate()

  Retrieves the value of the resolvedEndDate field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `java.sql.Timestamp` - The resolved end date for the potential duplicate search.
  Throws:
    None.

### getResolvedStartDate

    public java.sql.Timestamp getResolvedStartDate()

  Retrieves the value of the resolvedStartDate field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `java.sql.Timestamp` - The starting date for a search for resolved potential duplicate records.
  Throws:
    None.

### getResolvedUser

    public java.lang.String getResolvedUser()

  Retrieves the value of the resolvedUser field (the user ID of the user who resolved the potential duplicates) to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - The logon ID of the user who resolved the records to find.
  Throws:
    None.

### getStatus

    public java.lang.String getStatus()

  Retrieves the value of the status field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - The value of the status field. One of the following values is returned:
    - A - Indicates the pair has been auto resolved.
    - R - Indicates the pair has been resolved.
    - Unresolved.
  Throws:
    None.

### getSystemCode

    public java.lang.String getSystemCode()

  Retrieves the value of the systemCode field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - A string containing a system code.
  Throws:
    None.

### getType

    public java.lang.String getType()

  Retrieves the value of the type field to be used in a potential duplicate search.

  Parameters:
    None.

  Returns:
    `String` - The value of the type field.
  Throws:
    None.

### setCreateEndDate

    public void setCreateEndDate(java.sql.Timestamp endDate)

  Sets the ending date for an instance of PotentialDuplicateSearchObject. Use this method with setCreateStartDate to search for potential duplicates created between these two dates.

  Parameters:
    `endDate` - The end date for the potential duplicate search.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateStartDate

    public void setCreateStartDate(java.sql.Timestamp startDate)

  Sets the starting date for an instance of PotentialDuplicateSearchObject. Use this method with setCreateEndDate to search for potential duplicates created between these two dates.

  Parameters:
    `startDate` - The starting date for the potential duplicate search.
  Returns:
    `void` - None.
  Throws:
    None.

### setCreateUser

    public void setCreateUser(java.lang.String systemUser)

  Sets the create user ID for an instance of PotentialDuplicateSearchObject.

  Parameters:
    `systemUser` - A string containing a user ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUID

    public void setEUID(java.lang.String euid)

  Sets the enterprise-wide identifier (EUID) for an instance of PotentialDuplicateSearchObject.

  Parameters:
    `euid` - A string containing the desired EUID.
  Returns:
    `void` - None.
  Throws:
    None.

### setEUIDs

    public void setEUIDs(java.lang.String[] euids)

  Sets an array of enterprise-wide identifiers (EUIDs) for an instance of PotentialDuplicateSearchObject.

  Parameters:
    `euids` - A string array containing the desired EUIDs.
  Returns:
    `void` - None.
  Throws:
    None.

### setFieldsToRetrieve

    public void setFieldsToRetrieve(EPathArrayList fieldsToRetrieve)

  Sets the fields to be retrieved from the resulting records of a potential duplicate search.

  Parameters:
    `fieldsToRetrieve` - An array containing the ePaths to the fields to retrieve (see Creating a Master Index with eView Studio for more information about ePaths).
  Returns:
    `void` - None.
  Throws:
    None.

### setLID

    public void setLID(java.lang.String lid)

  Sets the local ID for an instance of PotentialDuplicateSearchObject.

  Parameters:
    `lid` - A string containing a local ID.
  Returns:
    `void` - None.
  Throws:
    None.

### setResolvedEndDate

    public void setResolvedEndDate(java.sql.Timestamp endDate)

  Sets the resolved end date for an instance of PotentialDuplicateSearchObject. Use this method with setResolvedStartDate to search for potential duplicates resolved between these two dates.

  Parameters:
    `endDate` - The resolved end date for a potential duplicate search.
  Returns:
    `void` - None.
  Throws:
    None.

### setResolvedStartDate

    public void setResolvedStartDate(java.sql.Timestamp startDate)

  Sets the resolved start date for an instance of PotentialDuplicateSearchObject. Use this method with setResolvedEndDate to search for potential duplicates resolved between these two dates.

  Parameters:
    `startDate` - The resolved start date for the potential duplicate search.
  Returns:
    `void` - None.
  Throws:
    None.

### setResolvedUser

    public void setResolvedUser(java.lang.String systemUser)

  Sets the resolved user ID for an instance of PotentialDuplicateSearchObject.

  Parameters:
    `systemUser` - A string containing the logon ID of the user who resolved the records to find.
  Returns:
    `void` - None.
  Throws:
    None.

### setStatus

    public void setStatus(java.lang.String status)

  Sets the status for an instance of PotentialDuplicateSearchObject.

  Parameters:
    `status` - A string containing a status. Possible values are:
    - A - Indicates the pair has been auto resolved.
    - R - Indicates the pair has been resolved.
    - Unresolved.
  Returns:
    `void` - None.
  Throws:
    None.

### setSystemCode

    public void setSystemCode(java.lang.String systemCode)

  Sets the system code for an instance of PotentialDuplicateSearchObject.

  Parameters:
    `systemCode` - A string containing a system code.
  Returns:
    `void` - None.
  Throws:
    None.

### setType

    public void setType(java.lang.String type)

  Sets the type for an instance of PotentialDuplicateSearchObject.

  Parameters:
    `type` - A string containing a type.
  Returns:
    `void` - None.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the fields in the PotentialDuplicateSearchObject object.

  Parameters:
    None.

  Returns:
    `String` - The field values contained in the PotentialDuplicateSearchObject object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.